#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		__pyvers	%(%{__python} -Ic "import sys; sys.stdout.write(sys.version[:4])")
%define		sname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-setuptools
Version		:	67.7.2
Release		:	14.4.0.0%{?dist}
Summary		:	Easily manage Python packages
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Python-2.0 or ZPL-2.0
URL		:	https://github.com/pypa/setuptools/tags
			#http://pypi.python.org/pypi/setuptools

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildArch	:	noarch

Requires	:	python3

Provides	:	python%{__pyvers}dist(%{sname})
#-----------------------------------------------------------------------------
%description
python-setuptools is a collection of enhancements to the
Python distutils that allow you to more easily build and
distribute Python packages, especially ones that have
dependencies on other packages.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE README.rst
%{python3_sitelib}/_distutils_hack/*.py
%{python3_sitelib}/_distutils_hack/__pycache__/*.pyc
%{python3_sitelib}/distutils-precedence.pth
%{python3_sitelib}/%{sname}/script*tmpl
%{python3_sitelib}/%{sname}/command/*.xml
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/command/*.py
%{python3_sitelib}/%{sname}/command/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendor/*.py
%{python3_sitelib}/%{sname}/_vendor/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendor/more_itertools/*.py
%{python3_sitelib}/%{sname}/_vendor/more_itertools/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendor/importlib_metadata/*.py
%{python3_sitelib}/%{sname}/_vendor/importlib_metadata/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendor/importlib_resources/*.py
%{python3_sitelib}/%{sname}/_vendor/importlib_resources/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendor/jaraco/*.py
%{python3_sitelib}/%{sname}/_vendor/jaraco/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendor/jaraco/text/*.py
%{python3_sitelib}/%{sname}/_vendor/jaraco/text/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendor/packaging/*.py
%{python3_sitelib}/%{sname}/_vendor/packaging/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendor/tomli/*.py
%{python3_sitelib}/%{sname}/_vendor/tomli/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/config/*.py
%{python3_sitelib}/%{sname}/config/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/config/_validate_pyproject/*.py
%{python3_sitelib}/%{sname}/config/_validate_pyproject/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_distutils/*.py
%{python3_sitelib}/%{sname}/_distutils/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_distutils/command/*.py
%{python3_sitelib}/%{sname}/_distutils/command/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/extern/*.py
%{python3_sitelib}/%{sname}/extern/__pycache__/*.pyc
%{python3_sitelib}/pkg_resources/*.py
%{python3_sitelib}/pkg_resources/__pycache__/*.pyc
%{python3_sitelib}/pkg_resources/extern/*.py
%{python3_sitelib}/pkg_resources/extern/__pycache__/*.pyc
%{python3_sitelib}/pkg_resources/_vendor/*.py
%{python3_sitelib}/pkg_resources/_vendor/__pycache__/*.pyc
%{python3_sitelib}/pkg_resources/_vendor/importlib_resources/*.py
%{python3_sitelib}/pkg_resources/_vendor/importlib_resources/__pycache__/*.pyc
%{python3_sitelib}/pkg_resources/_vendor/jaraco/*.py
%{python3_sitelib}/pkg_resources/_vendor/jaraco/__pycache__/*.pyc
%{python3_sitelib}/pkg_resources/_vendor/jaraco/text/*.py
%{python3_sitelib}/pkg_resources/_vendor/jaraco/text/__pycache__/*.pyc
%{python3_sitelib}/pkg_resources/_vendor/more_itertools/*.py
%{python3_sitelib}/pkg_resources/_vendor/more_itertools/__pycache__/*.pyc
%{python3_sitelib}/pkg_resources/_vendor/packaging/*.py
%{python3_sitelib}/pkg_resources/_vendor/packaging/__pycache__/*.pyc
%{python3_sitelib}/pkg_resources/_vendor/platformdirs/*.py
%{python3_sitelib}/pkg_resources/_vendor/platformdirs/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}*egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

echo "Version: %{version}" > PKG-INFO
%{__python}						\
	./setup.py					\
	build						\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	./setup.py					\
	install						\
	--skip-build					\
	--prefix=%{_prefix}				\
	--root=%{buildroot}				\

#removing windows exec file
find %{buildroot}%{_prefix} -type f -name "*.exe" -delete

#removing easy_install binary
#%{__rm} %{buildroot}%{_bindir}/easy_install

#-----------------------------------------------------------------------------
%changelog
